mui.init();

//上传附件
function file_upload(fileIds) {
	var formData = new FormData($("#fileForm")[0]);
	jQuery.ajax({
		type: 'POST',
		url: API.API_ROOT + '/uploadFileRecorderAction.do',
		data: formData,
		// 告诉jQuery不要去处理发送的数据
		processData: false,
		// 告诉jQuery不要去设置Content-Type请求头
		contentType: false,
		success: function(data) {
			console.log(data);
			$('#' + fileIds).val(data);
		},
		error: function(html) {
			var flag = (typeof console != 'undefined');
			if(flag)
				console.log("服务器忙，提交数据失败，代码:" + html.status + "，请联系管理员！");
			alert("服务器忙，提交数据失败，请联系管理员！");
		}
	});
}

//文件下载的任务

function openFile() {
	var path = document.getElementById("path").value;
	if(path.indexOf("http") == -1) {

		path = API.API_IP_PORT + "" + path;
	}
	var dtask = plus.downloader.createDownload(path, {}, function(d, status) { //创建一个下载任务，可以在网上搜索这个方法了解

		if(status == 200) {
			mui.toast("下载成功!");
			plus.runtime.openFile(d.filename, {}, function(e) { //调用第三方应用打开文件  
			
				alert('打开失败');
			});
		} else {
			alert("Download failed: " + status);

		}

	});
	dtask.start();
}